Subject: Re: powerpc/perf: Update default sdar_mode value for power9

From: Michael Ellerman <[email-masked]>
Date: Fri, 11 Aug 2017 22:19:49 +1000 (AEST)

On Tue, 2017-07-25 at 05:35:51 UTC, Madhavan Srinivasan wrote:
> Commit 20dd4c624d251 ('powerpc/perf: Fix SDAR_MODE value for continous
> sampling on Power9') set the default sdar_mode value in MMCRA[SDAR_MODE]
> to be used as 0b01 (Update on TLB miss). And this value is set if sdar_mode
> from event is zero, or we are in continous sampling mode in power9 dd1.
> 
> But it is preferred to have the sdar_mode value for power9 as
> 0b10 (Update on dcache miss) for better sampling updates instead
> of 0b01 (Update on TLB miss).
> 
> Signed-off-by: Madhavan Srinivasan <[email-masked]>
> Acked-by: Anton Blanchard <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/7aa345d84245a75760fc35a385fc55

cheers